メインコンテンツまでスキップ

クラスターを一覧表示する (V2)

API Key のスコープ内にあるすべてのクラスターを一覧表示します。

GET/v2/clusters
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンには、適切な権限を持つ API key を使用する必要があります。

値の例: Bearer {{TOKEN}}
Acceptstringheader

application/json を使用します。

値の例: application/json
pageSizeintegerquery

各レスポンスに含めるレコード数。

値の例: 10
currentPageintegerquery

現在のページ番号。

値の例: 1
regionstringquery

クラウドリージョンの ID。指定した場合、そのリージョン内のクラスターのみが返されます。

bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/clusters" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

クラスターの詳細一覧を返します。

codeinteger

レスポンスコード。

dataarray

レスポンスペイロード。

[]dataobject

クラスターの詳細一覧。

clusterIdstring

クラスターの ID。

clusterNamestring

クラスター名。

descriptionstring

クラスターの説明。

regionIdstring

クラスターをホストするクラウドリージョンの ID。

planstring

クラスターが属するプロジェクトのサブスクリプションプラン。指定可能な値は FreeServerlessStandardEnterprise です。

cuTypestring

クラスターのタイプ。
これは dedicated クラスターにのみ適用されます。free クラスターおよび serverless クラスターでは、この値は空です。

cuSizeinteger

クラスターの CU サイズ。free クラスターおよび serverless クラスターでは、この値は常に 0 です。

値の範囲: 0≤ 256
statusstring

クラスターの現在のステータス。

connectAddressstring

クラスターのパブリックエンドポイント。

privateLinkAddressstring

クラスターの Private Link。

projectIdstring

クラスターが属するプロジェクトの ID。

createTimestring

クラスターが作成された時刻。

deploymentOptionstring

クラスターのデプロイオプション。

globalClusterMetaobject

クラスターが属するグローバルクラスターのメタデータ。クラスターがどのグローバルクラスターにも属していない場合、このフィールドは null です。

globalClusterIdstring

グローバルクラスターの ID。

値の例: glo-xxxxxxxxxxxxxxx
rolestring

グローバルクラスター内でのクラスターのロール。

値の例: PRIMARY

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Ctrl I